Bug 1956403 - [RFE] Include KCM_OP_GET_CRED_LIST
Summary: [RFE] Include KCM_OP_GET_CRED_LIST
Keywords:
Status: POST
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: krb5
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: Robbie Harwood
QA Contact: Filip Dvorak
URL:
Whiteboard:
Depends On:
Blocks: 1956388
TreeView+ depends on / blocked
 
Reported: 2021-05-03 15:49 UTC by Robbie Harwood
Modified: 2021-05-17 14:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1956388
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Robbie Harwood 2021-05-03 15:49:55 UTC
+++ This bug was initially created as a clone of Bug #1956388 +++

libkrb5 now supports KCM_OP_GET_CRED_LIST when talking with sssd-kcm to improve performance. Please include it in 8.5.

Commits:
* https://github.com/krb5/krb5/commit/81bdb47d8ded390263d8ee48f71d5c312b4f1736
* https://github.com/krb5/krb5/commit/06afae820a44c1dc96ad88a0b16c3e50bc938b2a

Comment 1 Robbie Harwood 2021-05-13 18:30:48 UTC
> * https://github.com/krb5/krb5/commit/06afae820a44c1dc96ad88a0b16c3e50bc938b2a

I don't plan to include this.  It papers around an SSSD bug - returning the wrong code - and I would prefer SSSD fix it.  (You indicated intent to do so in https://github.com/krb5/krb5/pull/1177#issuecomment-810900921 .)

> * https://github.com/krb5/krb5/commit/81bdb47d8ded390263d8ee48f71d5c312b4f1736

This one should be fine to include.  

I would like to wait a few days and grab the RETRIEVE logic as well.  However, that will expose another issue with SSSD return codes ( https://github.com/SSSD/sssd/pull/5629 ) so if that's not also backported, I will hold off on doing so.

Please let me know if there are any problems with this plan.


Note You need to log in before you can comment on or make changes to this bug.